<?php

require_once('class/define.class.php');
require_once('class/sql.class.php');
require_once('function/word.function.php');

$word = $_POST['word'];
$wordCheck = $_POST['wordCheck'];
$kouho = $_POST['kouho'];
$kouhoCheck = $_POST['kouhoCheck'];

// 指定された単語とその候補を一括登録する
// まずは単語

// 単語が既に登録されているかを確認する　⇒　WORDIDを抽出する
$wordid = GetWordId($word);
echo $wordid;
if ($wordid <= 0){
	// 単語が存在しない場合には登録する
	$wordid = RegisterWord($word);
}

// 候補も登録する場合には、候補の登録処理も実施する
if ( !$kouhoCheck ){
	exit;	// 登録しない場合には、Ajax処理を正常終了させる
}

// 既存の候補群の抽出
$kouhoArray = array();
$kouhoArray = WordGroupSearch($word);

$newkouhoArray = array();
$newkouhoArray = explode("　",$kouho);	// 新たに登録する候補

// 新規登録群の確認
for ( $i=0; $i<count($newkouhoArray); $i++ ){
	// 新たに登録する単語が候補群に存在しているか確認
	if ( $newkouhoArray[$i] != "" ){
		if ( !(in_array($newkouhoArray[$i],$kouhoArray) ) ){
			// 存在していない時には新規登録
			$kouhoid = GetWordId($newkouhoArray[$i]);
			if ($kouhoid <= 0){
				$kouhoid = RegisterWord($newkouhoArray[$i]);
			}
			RegisterKouho($wordid,$kouhoid);
		}
	}
}

// 削除登録群の確認
for ( $i=0; $i<count($kouhoArray); $i++ ){
	// 候補群に存在するが、新規候補群には存在しないものを確認
	if ( $kouhoArray[$i] != "" ){
		if ( !(in_array($kouhoArray[$i],$newkouhoArray) ) ){
			// 存在していない時には削除
			$kouhoid = GetWordId($kouhoArray[$i]);
			DeleteKouho($wordid,$kouhoid);
		}
	}
}

?>